// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2017                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// ****************************************************************

// -----------------------------------------------------------------
//  FVIL Sample Program
//  ]px͗p_CAO
//
//  쐬 : N.Kubo
//
//   : 2017/9/9 
//
//  Affine Sample Program
// -----------------------------------------------------------------



using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace affine
{
    public partial class FormRotate : Form
    {
        public FormRotate()
        {
            InitializeComponent();
        }

    
        public double dAngle = 0.0;


        private void btnOK_Click(object sender, EventArgs e)
        {

            if (double.TryParse(txtAngle.Text, out dAngle) == false || dAngle < -360 || dAngle > 360)
            {
                MessageBox.Show("]p -360`360 ͈̔͂Őݒ肵ĉ", "p[^G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
                txtAngle.Text = "0";
                dAngle = 0;
            }

            this.DialogResult = System.Windows.Forms.DialogResult.OK;


        }
        private void txtAngle_KeyPress(object sender, KeyPressEventArgs e)
        {
            if ((e.KeyChar < '0' || e.KeyChar > '9') && e.KeyChar != '-' && e.KeyChar != '\b')
                e.Handled = true;

        }


    }
}